zenilib: T1_BuilderRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
T1_BuilderRec_ Struct Reference

`#include <psaux.h>`

## Public Attributes

FT_Vector | advance
FT_Outline * | base
FT_BBox | bbox
FT_Outline * | current
FT_Face | face
T1_Builder_FuncsRec | funcs
FT_GlyphSlot | glyph
void * | hints_funcs
void * | hints_globals
FT_Vector | left_bearing
FT_Bool | load_points
FT_GlyphLoader | loader
FT_Memory | memory
FT_Bool | metrics_only
FT_Bool | no_recurse
T1_ParseState | parse_state
FT_Pos | pos_x
FT_Pos | pos_y

## Detailed Description

Definition at line 559 of file psaux.h.

## Member Data Documentation

FT_Vector T1_BuilderRec_::advance

Definition at line 572 of file psaux.h.

Referenced by cid_slot_load_glyph(), T1_Compute_Max_Advance(), t1_decoder_parse_charstrings(), T1_Get_Advances(), T1_Load_Glyph(), and t1operator_seac().

FT_Outline* T1_BuilderRec_::base

Definition at line 565 of file psaux.h.

Referenced by cid_slot_load_glyph(), T1_Load_Glyph(), and t1operator_seac().

FT_BBox T1_BuilderRec_::bbox

Definition at line 574 of file psaux.h.

FT_Outline* T1_BuilderRec_::current

Definition at line 566 of file psaux.h.

Referenced by t1_decoder_parse_charstrings().

FT_Face T1_BuilderRec_::face

Definition at line 562 of file psaux.h.

Referenced by t1operator_seac().

T1_Builder_FuncsRec T1_BuilderRec_::funcs

Definition at line 584 of file psaux.h.

FT_GlyphSlot T1_BuilderRec_::glyph

Definition at line 563 of file psaux.h.

Referenced by t1operator_seac().

void* T1_BuilderRec_::hints_funcs

Definition at line 581 of file psaux.h.

Referenced by cid_slot_load_glyph(), t1_decoder_parse_charstrings(), and T1_Load_Glyph().

void* T1_BuilderRec_::hints_globals

Definition at line 582 of file psaux.h.

Referenced by t1_decoder_parse_charstrings().

FT_Vector T1_BuilderRec_::left_bearing

Definition at line 571 of file psaux.h.

Referenced by cid_slot_load_glyph(), t1_decoder_parse_charstrings(), T1_Load_Glyph(), and t1operator_seac().

FT_Bool T1_BuilderRec_::load_points

Definition at line 576 of file psaux.h.

Referenced by T1_Compute_Max_Advance(), and T1_Get_Advances().

FT_GlyphLoader T1_BuilderRec_::loader

Definition at line 564 of file psaux.h.

Referenced by t1_decoder_parse_charstrings(), and t1operator_seac().

FT_Memory T1_BuilderRec_::memory

Definition at line 561 of file psaux.h.

FT_Bool T1_BuilderRec_::metrics_only

Definition at line 579 of file psaux.h.

Referenced by T1_Compute_Max_Advance(), t1_decoder_parse_charstrings(), and T1_Get_Advances().

FT_Bool T1_BuilderRec_::no_recurse

Definition at line 577 of file psaux.h.

Referenced by cid_slot_load_glyph(), T1_Load_Glyph(), and t1operator_seac().

T1_ParseState T1_BuilderRec_::parse_state

Definition at line 575 of file psaux.h.

Referenced by t1_decoder_parse_charstrings().

FT_Pos T1_BuilderRec_::pos_x

Definition at line 568 of file psaux.h.

Referenced by t1_decoder_parse_charstrings(), and t1operator_seac().

FT_Pos T1_BuilderRec_::pos_y

Definition at line 569 of file psaux.h.

Referenced by t1_decoder_parse_charstrings(), and t1operator_seac().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/include/freetype/internal/psaux.h